<?php

namespace Lc\ShopBundle\Model;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\MappedSuperclass
 */
abstract class AbstractDocumentOrder extends AbstractEntity
{
        /**
         * @ORM\Column(type="string", length=255)
         */
        protected $title;

        /**
         * @ORM\Column(type="string", length=255, nullable=true)
         */
        protected $reference;

        /**
         * @ORM\Column(type="text", nullable=true)
         */
        protected $comment;

        /**
         * @ORM\Column(type="text")
         */
        protected $address;

        /**
         * @ORM\ManyToOne(targetEntity="Lc\ShopBundle\Context\UserInterface")
         * @ORM\JoinColumn(nullable=false)
         */
        protected $user;


        public function getTitle(): ?string
        {
                return $this->title;
        }

        public function setTitle(string $title): self
        {
                $this->title = $title;

                return $this;
        }

        public function getReference(): ?string
        {
                return $this->reference;
        }

        public function setReference(?string $reference): self
        {
                $this->reference = $reference;

                return $this;
        }

        public function getComment(): ?string
        {
                return $this->comment;
        }

        public function setComment(?string $comment): self
        {
                $this->comment = $comment;

                return $this;
        }

        public function getAddress(): ?string
        {
                return $this->address;
        }

        public function setAddress(string $address): self
        {
                $this->address = $address;

                return $this;
        }

        public function getOrders(): ?string
        {
                return $this->orders;
        }

        public function setOrders(string $orders): self
        {
                $this->orders = $orders;

                return $this;
        }

        public function getUser(): ?User
        {
                return $this->user;
        }

        public function setUser(?User $user): self
        {
                $this->user = $user;

                return $this;
        }
}
